import { ISuite } from './common';
export default class Markdown {
    readonly tip = ".kui--markdown-tip";
    readonly tabs = ".kui--markdown-tabs";
    readonly tab: string;
    readonly icon: string;
    private readonly _codeBlock;
    readonly runButton = ".kui--block-action-run";
    readonly cleanupButton = ".kui--block-action-cleanup";
    getText(ctx: ISuite): Promise<any>;
    tipWithTitle(title: string): string;
    tipContent(baseSelector?: string): string;
    tabWithTitle(title: string): string;
    codeBlock(index: number): string;
}
