export default class Sidebar {
    /** Sidebar hamburger button that toggles the sidebar when clicked */
    readonly hamburgerButton = ".kui--top-tab-stripe-header .kui--top-tab-stripe-header--toggle-button";
    /** Sidebar content is inside of this */
    readonly contentContainer = ".kui--tab-container-sidebar";
    /** Sidebar content container, either visible or not */
    contentContainerVisible(visible?: boolean): string;
    /** Sidebar nav item */
    item(title: string): string;
}
