import * as Common from './common';
import { Breadcrumb } from '@kui-shell/core';
interface Param {
    /** extra title for the mocha test section? */
    title?: string;
    command: string;
    showing: string;
    modes: string[];
    commandLinks?: {
        label: string;
        expect: {
            type: 'NavResponse';
            showing: string;
        };
    }[];
    hrefLinks?: {
        label: string;
        href: string;
    }[];
    breadcrumbs?: Breadcrumb[];
}
export declare class TestNavResponse {
    readonly param: Param;
    constructor(param: Param);
    run(): void;
}
export declare const testAbout: (self: Common.ISuite) => void;
export {};
