export declare const TOP_TAB = ".kui--tab-list > .kui--tab";
export declare const TOP_TAB_N: (N: number) => string;
export declare const TOP_TAB_N_CLICKABLE: (N: number) => string;
export declare const TOP_TAB_CLOSE_N: (N: number) => string;
export declare const TOP_TAB_WITH_TITLE: (title: string) => string;
export declare const TAB_CONTENT = ".kui--tab-content";
export declare const CURRENT_TAB: string;
export declare const CURRENT_TAB_TITLE: string;
export declare const CURRENT_TAB_CLOSE: string;
export declare const TAB_TITLE_N: (N: number) => string;
export declare const TAB_N: (N: number) => string;
export declare const TAB_SELECTED_N: (N: number) => string;
export declare const _RESULT = ".repl-result";
export declare const _PROMPT_BLOCK = ".repl-block";
export declare const PROMPT_BLOCK: string;
export declare const PROCESSING_PROMPT_BLOCK: string;
export declare const CURRENT_PROMPT_BLOCK: string;
export declare const _PROMPT_BLOCK_N: (N: number) => string;
export declare const PROMPT_BLOCK_N: (N: number) => string;
export declare const PROMPT_CONTEXT_N: (N: number) => string;
export declare const PROCESSING_N: (N: number) => string;
export declare const CURRENT_PROMPT: string;
export declare const CURRENT_MULTI_LINE_PROMPT: string;
export declare const N_ATTR = "data-input-count";
export declare const WELCOME_BLOCK: string;
export declare const BOTTOM_PROMPT_BLOCK: string;
export declare const BOTTOM_PROMPT: string;
export declare const STATUS_STRIPE_BLOCK = ".kui--status-stripe .kui--input-stripe .repl-block";
export declare const STATUS_STRIPE_PROMPT: string;
export declare const OOPS: string;
export declare const _SIDECAR = ".kui--sidecar";
export declare const SIDECAR_BASE: (N: number, splitIndex?: number) => string;
export declare const SIDECAR: (N: number, splitIndex?: number) => string;
export declare const SIDECAR_WITH_FAILURE: (N: number, splitIndex?: number) => string;
export declare const SIDECAR_ACTIVATION_TITLE: (N: number, splitIndex?: number) => string;
export declare const SIDECAR_TITLE: (N: number, splitIndex?: number, clickable?: boolean) => string;
export declare const SIDECAR_LEFTNAV_TITLE: (N: number, splitIndex?: number) => string;
export declare const SIDECAR_HEADER_NAVIGATION: (N: number, splitIndex?: number) => string;
export declare const SIDECAR_BREADCRUMBS: (N: number, splitIndex?: number) => string;
export declare const SIDECAR_PACKAGE_NAME_TITLE: (N: number, splitIndex?: number) => string;
export declare const SIDECAR_POPUP_TITLE: (N: number, splitIndex?: number, clickable?: boolean) => string;
export declare const SIDECAR_KIND: (N: number, splitIndex?: number) => string;
export declare const SIDECAR_CONTENT: (N: number, splitIndex?: number) => string;
export declare const SIDECAR_WEB_ACTION_URL: (N: number, splitIndex?: number) => string;
export declare const SIDECAR_PACKAGE_PARAMETERS: (N: number, splitIndex?: number) => string;
export declare const SIDECAR_BADGES: (N: number, splitIndex?: number) => string;
export declare const SIDECAR_TOOLBAR: (N: number, splitIndex?: number) => string;
export declare const SIDECAR_TOOLBAR_TEXT: (N: number, type: string, splitIndex?: number) => string;
export declare const SIDECAR_TOOLBAR_BUTTON: (N: number, mode: string, splitIndex?: number) => string;
export declare const SIDECAR_ALERT: (N: number, type: string, splitIndex?: number) => string;
export declare const TERMINAL_ALERT: (type: string) => string;
export declare const SIDECAR_TAB_CONTENT: (N: number, splitIndex?: number) => string;
export declare const SIDECAR_CUSTOM_CONTENT: (N: number, splitIndex?: number) => string;
export declare const SIDECAR_CUSTOM_CONTENT_LINE_NUMBERS: (N: number, splitIndex?: number) => string;
export declare const SIDECAR_MODE_BUTTONS: (N: number, splitIndex?: number) => string;
export declare const SIDECAR_MODE_BUTTON: (N: number, mode: string, splitIndex?: number) => string;
export declare const SIDECAR_MODE_BUTTON_SELECTED: (N: number, mode: string, splitIndex?: number) => string;
export declare const SIDECAR_LEFTNAV: (N: number, splitIndex?: number) => string;
export declare const SIDECAR_LEFTNAV_NAV: (N: number, splitIndex?: number) => string;
export declare const SIDECAR_NAV_COMMAND_LINKS: (N: number, link: string, splitIndex?: number) => string;
export declare const SIDECAR_NAV_HREF_LINKS: (N: number, link: string, splitIndex?: number) => string;
export declare const SIDECAR_MODE_BUTTONS_V2: (N: number, splitIndex?: number) => string;
export declare const SIDECAR_MODE_BUTTON_V2: (N: number, mode: string, splitIndex?: number) => string;
export declare const SIDECAR_MODE_BUTTON_SELECTED_V2: (N: number, mode: string, splitIndex?: number) => string;
export declare const SIDECAR_BACK_BUTTON: (N: number, splitIndex?: number) => string;
export declare const SIDECAR_BACK_BUTTON_DISABLED: (N: number, splitIndex?: number) => string;
export declare const SIDECAR_FORWARD_BUTTON: (N: number, splitIndex?: number) => string;
export declare const SIDECAR_FORWARD_BUTTON_DISABLED: (N: number, splitIndex?: number) => string;
export declare const SIDECAR_CLOSE_BUTTON: (N: number, splitIndex?: number) => string;
export declare const SIDECAR_RESUME_FROM_CLOSE_BUTTON: (N: number, splitIndex?: number) => string;
export declare const SIDECAR_FULLY_CLOSE_BUTTON: (N: number, splitIndex?: number) => string;
export declare const SIDECAR_FULLY_CLOSED: (N: number, splitIndex?: number) => string;
export declare const INVERTED_COLORS = ".kui--inverted-color-context";
/**
 * Terminal splits
 *
 */
export declare const NEW_SPLIT_BUTTON = "#kui--split-terminal-button";
export declare const SPLITS: string;
export declare const SPLIT_ID = "data-scrollback-id";
export declare const SPLIT_N: (N: number, inverseColors?: boolean) => string;
export declare const SPLIT_N_HEADER: (N: number) => string;
export declare const SPLIT_N_CLOSE: (N: number) => string;
export declare const SPLIT_N_POSITION_TOGGLE: (N: number) => string;
export declare const SPLIT_N_CLEAR: (N: number) => string;
export declare const SPLIT_N_FOCUS: (N: number) => string;
export declare const SPLIT_N_OUTPUT: (N: number) => string;
export declare const SPLIT_DEFAULT: (baseSelector?: string) => string;
export declare const SPLIT_LEFT: (baseSelector?: string) => string;
export declare const SPLIT_RIGHT: (baseSelector?: string) => string;
export declare const SPLIT_N_AS_DEFAULT: (N: number) => string;
export declare const SPLIT_N_AS_LEFT_STRIP: (N: number) => string;
export declare const SPLIT_N_AS_RIGHT_STRIP: (N: number) => string;
export declare const CURRENT_PROMPT_BLOCK_FOR_SPLIT: (splitIndex: number) => string;
export declare const CURRENT_PROMPT_FOR_SPLIT: (splitIndex: number) => string;
export declare const PROMPT_BLOCK_FOR_SPLIT: (splitIndex: number) => string;
export declare const PROMPT_BLOCK_N_FOR_SPLIT: (N: number, splitIndex: number) => string;
export declare const PROMPT_N_FOR_SPLIT: (N: number, splitIndex: number) => string;
export declare const PROMPT_BLOCK_LAST: string;
export declare const PROMPT_BLOCK_LAST_IN_NOTEBOOK: (N?: number) => string;
export declare const PROMPT_BLOCK_LAST_FOR_SPLIT_IN_NOTEBOOK: (splitIndex?: number, N?: number) => string;
export declare const PROMPT_BLOCK_LAST_FOR_SPLIT: (splitIndex?: number, N?: number, inNotebook?: boolean) => string;
export declare const PROMPT_LAST: string;
export declare const PROMPT_LAST_IN_NOTEBOOK: (N?: number) => string;
export declare const OUTPUT_LAST_FOR_SPLIT: (splitIndex: number) => string;
export declare const OUTPUT_LAST_FOR_SPLIT_IN_NOTEBOOK: (splitIndex: number, N?: number) => string;
export declare const OUTPUT_LAST: string;
export declare const OUTPUT_LAST_IN_NOTEBOOK: (N?: number) => string;
export declare const OUTPUT_LAST_STREAMING: string;
export declare const OUTPUT_LAST_STREAMING_IN_NOTEBOOK: string;
export declare const OUTPUT_LAST_PTY: string;
export declare const OUTPUT_LAST_PTY_IN_NOTEBOOK: (N?: number) => string;
/**
 * Terminal card
 *
 */
export declare const TERMINAL_CARD = ".kui--card";
export declare const TERMINAL_CARD_TITLE: string;
export declare const TERMINAL_CARD_BODY: string;
export declare const PROMPT_N: (N: number, splitIndex?: number) => string;
export declare const OUTPUT_N: (N: number, splitIndex?: number) => string;
export declare const OUTPUT_N_STREAMING: (N: number, splitIndex?: number) => string;
export declare const OUTPUT_N_PTY: (N: number) => string;
export declare const EXPERIMENTAL_PROMPT_BLOCK_TAG: string;
export declare const PROMPT_BLOCK_FINAL: string;
export declare const OVERFLOW_MENU = ".kui--repl-block-right-element.kui--toolbar-button-with-icon";
export declare const PROMPT_BLOCK_MENU: (N: number) => string;
export declare const BLOCK_REMOVE_BUTTON: (N: number) => string;
export declare const BLOCK_UP_BUTTON: (N: number) => string;
export declare const BLOCK_DOWN_BUTTON: (N: number) => string;
export declare const BLOCK_LINK_BUTTON: (N: number) => string;
export declare const COMMAND_COPY_BUTTON: (N: number) => string;
export declare const COMMAND_COPY_DONE_BUTTON: (N: number) => string;
export declare const COMMAND_RERUN_BUTTON: (N: number, splitIndex?: number) => string;
export declare const PROMPT_FINAL: string;
export declare const LIST_RESULTS_N: (N: number, splitIndex?: number) => string;
export declare const LIST_RESULTS_BY_NAME_N: (N: number, splitIndex?: number) => string;
export declare const LIST_RESULT_BY_N_FOR_NAME: (N: number, name: string, splitIndex?: number) => string;
export declare const TABLE_HEADER_CELL: (cellKey: string) => string;
export declare const TABLE_CELL: (rowKey: string, cellKey: string) => string;
export declare const TABLE_SHOW_AS_GRID: (N: number) => string;
export declare const TABLE_SHOW_AS_SEQUENCE: (N: number) => string;
export declare const TABLE_SHOW_AS_LIST: (N: number) => string;
export declare const TABLE_SHOW_AS_HISTOGRAM: (N: number) => string;
export declare const TABLE_HISTOGRAM_TEXT: (N: number) => string;
export declare const TABLE_HISTOGRAM_TEXT_WITH_ID: (id: string, N: number) => string;
export declare const WATCH_LIVE_BUTTON: (N: number, splitIndex?: number) => string;
export declare const WATCH_OFFLINE_BUTTON: (N: number, splitIndex?: number) => string;
export declare const TABLE_PAGINATION_FORWARD: (N: number) => string;
export declare const TABLE_PAGINATION_BACKWARD: (N: number) => string;
export declare const TABLE_FOOTER: (N: number) => string;
export declare const TABLE_FOOTER_MESSAGE: (N: number, M: number) => string;
export declare const TABLE_FOOTER_MESSAGE_LINK: (N: number, M: number) => string;
export declare const _TABLE_AS_GRID = ".kui--data-table-as-grid";
export declare const TABLE_AS_GRID: (N: number) => string;
export declare const TABLE_AS_GRID_CELL: (N: number, name: string) => string;
export declare const TABLE_AS_GRID_CELL_RED: (N: number, name: string) => string;
export declare const TABLE_AS_GRID_CELL_GREEN: (N: number, name: string) => string;
export declare const TABLE_AS_LIST: (N: number) => string;
export declare const TABLE_AS_SEQUENCE: (N: number) => string;
export declare const TABLE_AS_SEQUENCE_BAR: (N: number) => string;
export declare const TABLE_AS_SEQUENCE_BAR_WIDTH: (N: number, width: string) => string;
export declare const _TABLE_EMPTY = ".kui--table-like-wrapper tbody td[data-is-empty=\"true\"]";
export declare const TABLE_TITLE: (N: number) => string;
export declare const TABLE_TITLE_SECONDARY: (N: number) => string;
export declare const TABLE_TITLE_NROWS: (N: number) => string;
export declare const BY_NAME: (name: string) => string;
export declare const BY_KEY: (key: string) => string;
export declare const GRID_CELL_BY_NAME: (name: string) => string;
export declare const LIST_RESULT_FIRST = "tbody tr:first-child .clickable";
export declare const LIST_RESULT_BY_N_AND_NAME: (N: number, name: string, splitIndex?: number) => string;
export declare const OK_N: (N: number, splitIndex?: number) => string;
export declare const xtermRows: (N: number) => string;
export declare const WATCHER_N: (N: number) => string;
export declare const WATCHER_N_GRID_CELL: (N: number, name: string) => string;
export declare const WATCHER_N_GRID_CELL_ONLINE: (N: number, name: string) => string;
export declare const WATCHER_N_GRID_CELL_OFFLINE: (N: number, name: string) => string;
export declare const WATCHER_N_GRID_CELL_PENDING: (N: number, name: string) => string;
export declare const WATCHER_N_TITLE: (N: number) => string;
export declare const WATCHER_N_DROPDOWN: (N: number) => string;
export declare const WATCHER_N_DROPDOWN_ITEM: (N: number, label: string) => string;
export declare const WATCHER_N_CLOSE: (N: number) => string;
export declare const WATCHER_N_SHOW_AS_TABLE: (N: number) => string;
export declare const CURRENT_GRID_FOR_SPLIT: (N: number) => string;
export declare const CURRENT_GRID_BY_NAME_FOR_SPLIT: (N: number, name: string) => string;
export declare const CURRENT_GRID_ONLINE_FOR_SPLIT: (N: number, name: string) => string;
export declare const CURRENT_GRID_OFFLINE_FOR_SPLIT: (N: number, name: string) => string;
export declare const SPLIT_N_MENU: (N: number) => string;
export declare const WATCHER_CLOSE_BUTTON: (N: number) => string;
export declare const BLOCK_CLOSE_BUTTON: string;
export declare const BLOCK_UNPIN_BUTTON: string;
/** xterm */
export declare const ALT_BUFFER_N: (N: number) => string;
/** Status Stripe widgets */
export declare const STATUS_STRIPE = "#kui--status-stripe";
export declare const STATUS_STRIPE_TYPE: (type: 'default' | 'blue') => string;
export declare const STATUS_STRIPE_MESSAGE: string;
export declare const STATUS_STRIPE_WIDGET: (which: string, dot?: '.' | '#') => string;
export declare const STATUS_STRIPE_WIDGET_WITH_ATTR: (which: string, key: string, value: string) => string;
export declare const STATUS_STRIPE_WIDGET_LABEL: (which: string) => string;
export declare const STATUS_STRIPE_DROPDOWN_LABEL: (which: string) => string;
export declare const STATUS_STRIPE_WIDGET_ICON_WITH_ATTR: (which: string, key: string, value: string) => string;
export declare const STATUS_STRIPE_WIDGET_LABEL_WITH_ATTR: (which: string, key: string, value: string) => string;
export declare const POPOVER_SELECT_OPTION: (value: string) => string;
/** Selectors of radio button (new RadioTable-based) */
export declare const RADIO_BUTTON = ".kui--radio-table-body .kui--radio-table-row";
export declare const RADIO_BUTTON_BY_NAME: (name: string) => string;
export declare const RADIO_BUTTON_IS_SELECTED = "[data-is-selected]";
export declare const RADIO_BUTTON_SELECTED: string;
/** SourceRef */
export declare const SOURCE_REF_N: (N: number, splitIndex?: number) => string;
export declare const SOURCE_REF_TOGGLE_N: (N: number, expanded?: boolean, splitIndex?: number) => string;
export declare const COMMENTARY_EDITOR_BUTTON_CANCEL = ".kui--commentary-editor-toolbar .kui--commentary-button.kui--commentary-cancel-button";
export declare const COMMENTARY_EDITOR_BUTTON_DONE = ".kui--commentary-editor-toolbar .kui--commentary-button.kui--commentary-done-button";
export declare const COMMENTARY_EDITOR_BUTTON_REVERT = ".kui--commentary-editor-toolbar .kui--commentary-button.kui--commentary-revert-button";
export declare const COMMENTARY_EDITOR = ".kui--commentary .kui--source-ref-editor";
export declare const SIDECAR_LAST: string;
export declare const SIDECAR_TOOLBAR_LAST: string;
export declare const SIDECAR_TOOLBAR_TEXT_LAST: (type: string) => string;
export declare const SIDECAR_TOOLBAR_BUTTON_LAST: (mode: string) => string;
/** dropdown */
export declare const DROPDOWN = ".kui--dropdown";
export declare const DROPDOWN_N: (N: number, splitIndex?: number) => string;
export declare const DROPDOWN_MENU_ITEM_NAMED: (label: string) => string;
export declare const DROPDOWN_N_MENU_ITEM: (N: number, label: string, splitIndex?: number) => string;
/** Confirm Dialog */
export declare const CONFIRM_DIALOG = "#confirm-dialog";
export declare const CONFIRM_DIALOG_CONFIRM_BUTTON: string;
export declare const CONFIRM_DIALOG_CANCEL_BUTTON: string;
/** Expandable output in notebooks */
export declare const EXPANDABLE_OUTPUT_N: (N: number, splitIndex?: number) => string;
export declare const EXPANDABLE_OUTPUT_LAST: (splitIndex?: number) => string;
export declare const EXPANDABLE_OUTPUT_LAST_IN_NOTEBOOK: (splitIndex?: number, N?: number) => string;
/** DescriptionList */
export declare const DLIST = ".kui--description-list";
export declare const DLIST_DESCRIPTION_FOR: (term: string) => string;
export declare const tabButtonSelector = "#new-tab-button";
